/**
 * This code was AUTOGENERATED using the codama library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun codama to update it.
 *
 * @see https://github.com/codama-idl/codama
 */
import { type Address, type Codec, type Decoder, type Encoder, type IAccountMeta, type IAccountSignerMeta, type IInstruction, type IInstructionWithAccounts, type IInstructionWithData, type ReadonlyAccount, type TransactionSigner, type WritableAccount, type WritableSignerAccount } from '@solana/web3.js';
import { TOKEN_METADATA_PROGRAM_ADDRESS } from '../programs';
export declare const REVOKE_COLLECTION_AUTHORITY_DISCRIMINATOR = 24;
export declare function getRevokeCollectionAuthorityDiscriminatorBytes(): import("@solana/web3.js").ReadonlyUint8Array;
export type RevokeCollectionAuthorityInstruction<TProgram extends string = typeof TOKEN_METADATA_PROGRAM_ADDRESS, TAccountCollectionAuthorityRecord extends string | IAccountMeta<string> = string, TAccountDelegateAuthority extends string | IAccountMeta<string> = string, TAccountRevokeAuthority extends string | IAccountMeta<string> = string, TAccountMetadata extends string | IAccountMeta<string> = string, TAccountMint extends string | IAccountMeta<string> = string, TRemainingAccounts extends readonly IAccountMeta<string>[] = []> = IInstruction<TProgram> & IInstructionWithData<Uint8Array> & IInstructionWithAccounts<[
    TAccountCollectionAuthorityRecord extends string ? WritableAccount<TAccountCollectionAuthorityRecord> : TAccountCollectionAuthorityRecord,
    TAccountDelegateAuthority extends string ? WritableAccount<TAccountDelegateAuthority> : TAccountDelegateAuthority,
    TAccountRevokeAuthority extends string ? WritableSignerAccount<TAccountRevokeAuthority> & IAccountSignerMeta<TAccountRevokeAuthority> : TAccountRevokeAuthority,
    TAccountMetadata extends string ? ReadonlyAccount<TAccountMetadata> : TAccountMetadata,
    TAccountMint extends string ? ReadonlyAccount<TAccountMint> : TAccountMint,
    ...TRemainingAccounts
]>;
export type RevokeCollectionAuthorityInstructionData = {
    discriminator: number;
};
export type RevokeCollectionAuthorityInstructionDataArgs = {};
export declare function getRevokeCollectionAuthorityInstructionDataEncoder(): Encoder<RevokeCollectionAuthorityInstructionDataArgs>;
export declare function getRevokeCollectionAuthorityInstructionDataDecoder(): Decoder<RevokeCollectionAuthorityInstructionData>;
export declare function getRevokeCollectionAuthorityInstructionDataCodec(): Codec<RevokeCollectionAuthorityInstructionDataArgs, RevokeCollectionAuthorityInstructionData>;
export type RevokeCollectionAuthorityInput<TAccountCollectionAuthorityRecord extends string = string, TAccountDelegateAuthority extends string = string, TAccountRevokeAuthority extends string = string, TAccountMetadata extends string = string, TAccountMint extends string = string> = {
    /** Collection Authority Record PDA */
    collectionAuthorityRecord: Address<TAccountCollectionAuthorityRecord>;
    /** Delegated Collection Authority */
    delegateAuthority: Address<TAccountDelegateAuthority>;
    /** Update Authority, or Delegated Authority, of Collection NFT */
    revokeAuthority: TransactionSigner<TAccountRevokeAuthority>;
    /** Metadata account */
    metadata: Address<TAccountMetadata>;
    /** Mint of Metadata */
    mint: Address<TAccountMint>;
};
export declare function getRevokeCollectionAuthorityInstruction<TAccountCollectionAuthorityRecord extends string, TAccountDelegateAuthority extends string, TAccountRevokeAuthority extends string, TAccountMetadata extends string, TAccountMint extends string, TProgramAddress extends Address = typeof TOKEN_METADATA_PROGRAM_ADDRESS>(input: RevokeCollectionAuthorityInput<TAccountCollectionAuthorityRecord, TAccountDelegateAuthority, TAccountRevokeAuthority, TAccountMetadata, TAccountMint>, config?: {
    programAddress?: TProgramAddress;
}): RevokeCollectionAuthorityInstruction<TProgramAddress, TAccountCollectionAuthorityRecord, TAccountDelegateAuthority, TAccountRevokeAuthority, TAccountMetadata, TAccountMint>;
export type ParsedRevokeCollectionAuthorityInstruction<TProgram extends string = typeof TOKEN_METADATA_PROGRAM_ADDRESS, TAccountMetas extends readonly IAccountMeta[] = readonly IAccountMeta[]> = {
    programAddress: Address<TProgram>;
    accounts: {
        /** Collection Authority Record PDA */
        collectionAuthorityRecord: TAccountMetas[0];
        /** Delegated Collection Authority */
        delegateAuthority: TAccountMetas[1];
        /** Update Authority, or Delegated Authority, of Collection NFT */
        revokeAuthority: TAccountMetas[2];
        /** Metadata account */
        metadata: TAccountMetas[3];
        /** Mint of Metadata */
        mint: TAccountMetas[4];
    };
    data: RevokeCollectionAuthorityInstructionData;
};
export declare function parseRevokeCollectionAuthorityInstruction<TProgram extends string, TAccountMetas extends readonly IAccountMeta[]>(instruction: IInstruction<TProgram> & IInstructionWithAccounts<TAccountMetas> & IInstructionWithData<Uint8Array>): ParsedRevokeCollectionAuthorityInstruction<TProgram, TAccountMetas>;
//# sourceMappingURL=revokeCollectionAuthority.d.ts.map